[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: NMU question

Le Sun, Nov 22, 2009 at 09:31:59PM +0300, Nikita V. Youshchenko a écrit :
> I've just met an uninstallable package with 3-week-old RC bug, caused by 
> soname change of one of dependences. This bug could be fixed by a simple 
> rebuild - I've checked if package builds against today's sid - yes it 
> does.
> Also, is it ok to NMU keeping existing lintian warnings (such as 
> package-uses-deprecated-debhelper-compat-version, 
> out-of-date-standards-version, patch-system-but-no-source-readme)?
> I don't intend to (co)maintain this package in future, it is just a 
> single-time interest.

Dear Nikita,

it is difficult to judge since you did not give the package name. Nevertheless,
the combination of RC bug left unfixed and signs of obsolescence
(package-uses-deprecated-debhelper-compat-version) suggests that the maintainer
might be MIA. If nobody wants to maintain this package, it should better be
orphaned or removed than NMUed. If the maintainer is active, it is of course
with him and not this list that the contents of the NMU have to be discussed.
If he gives you green light, there is of course no problem fixing no-RC issues.

Have a nice day,

Charles Plessy
Tsurumi, Kanagawa, Japan

Reply to: